# oslo.service – Library for running OpenStack services

oslo.service provides a framework for defining new long-running services using the patterns established by other OpenStack applications. It also includes utilities long-running applications might need for working with SSL or WSGI, performing periodic operations, interacting with systemd, etc.

## Contents

- Installation
- Using oslo.service
  - Usage
  - Backend System
  - CHANGES
- Configuration Options
  - periodic_task
  - service
  - sslutils
  - wsgi
- API Reference
  - eventlet_backdoor
  - fixture
  - loopingcall
  - periodic_task
  - service
  - sslutils
  - systemd
  - threadgroup
- Contributing

## Release Notes

Read also the oslo.service Release Notes.

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-07-15 01:15:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug